:root {
    --main: rgb(99, 70, 222);
    --mainheader: rgba(99, 70, 222, 0.1);
    --shadowheader: rgba(99, 70, 222, 0.4);
    --para: rgb(255, 255, 255, 0.8);

    --glassbg: rgba(255, 255, 255, 0.02);
    --glassborder: rgba(255, 255, 255, 0.1);
    --glassshadow: rgba(255, 255, 255, 0.04);

    --glassbgh: rgba(99, 70, 222, 0.1);
    --glassborderh: rgba(99, 70, 222, 0.8);
    --glassshadowh: rgba(99, 70, 222, 0.4);
}

/* ========== Scrollbar ========== */
html {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

html::-webkit-scrollbar {
    display: none;
}

.custom-scrollbar {
    position: fixed;
    top: 0;
    right: 0px;
    width: 15px;
    height: 100%;
    background: transparent;
    z-index: 9999;
}

.custom-scrollbar-thumb {
    position: absolute;
    right: 0;
    width: 15px;
    background: rgba(255, 255, 255, 0.2);
}

.custom-scrollbar-thumb:hover {
    background: rgba(255, 255, 255, 0.4);
}

.custom-scrollbar-thumb.dragging {
    background: rgba(255, 255, 255, 0.6);
}

/* ========== Header ========== */
header img {
    height: 55px;
    width: 55px;
}

.site-header h5 {
    font-weight: bold;
    color: white;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.site-header #headermenu {
    margin-top: 20px;
    padding-left: 5px;
    transition: all .2s;
}

.site-header #headermenu * {
    margin-bottom: 0px;
}

#home-icon {
    height: 55px;
    width: 55px;
    margin-top: -30px;
}

#search-input {
    position: relative;
    pointer-events: auto;
    padding: 10px;
    color: white;
    text-shadow: 1px 1px 2px black;
    font-size: clamp(17px, 1.3vw, 33px);
    font-family: 'Unifont Ex Mono', sans-serif;
    transition: all .2s;
    width: clamp(180px, 17vw, 500px);
}

#search-input::placeholder {
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.site-header {
    position: fixed;
    top: 0;
    justify-content: space-between;
    right: 0px;
    left: 0px;
    padding-top: 5px;
    padding-left: 30px;
    padding-right: 30px;
    background: transparent;
    z-index: 1001;
    pointer-events: none;
    user-select: none;
}

#search-overlay {
    pointer-events: auto;
    position: absolute;
    top: 100%;
    width: 20%;
    max-height: 1000%;
    overflow-y: auto;
    right: 2%;
    padding: 5px;
    background-color: rgba(0, 0, 0, 0.5) !important;
}

#search-overlay h4 {
    margin: 20px 0px;
}

.dropdown {
    position: absolute;
    top: 100%;
    left: 85%;
    z-index: 100;
    pointer-events: auto;
}

.glass-input {
    width: 100%;
    padding: 12px;
    border-radius: 5px;
    margin: 10px 0px;
    color: white;
    text-shadow: 1px 1px 2px black;
    font-size: clamp(17px, 1.3vw, 33px);
    font-family: 'Unifont Ex Mono', sans-serif;
    transition: all .2s;
}


/* ========== Text size ========== */
h1.artist-name {
    font-size: clamp(80px, 6.25vw, 160px);
    /*120px*/
}

h1 {
    font-size: clamp(40px, 3.125vw, 80px);
    /*60px*/
}

h2 {
    font-size: clamp(31px, 2.4vw, 61px);
    /*46px*/
}

h3 {
    font-size: clamp(28px, 2.1875vw, 56px);
    /*42px*/
}

h4 {
    font-size: clamp(23px, 1.77vw, 45px);
    /*34px*/
}

h5 {
    font-size: clamp(12px, 0.9375vw, 24px);
    /*18px*/
}

p {
    font-size: clamp(10px, 0.833vw, 21px);
    /*16px*/
}

h6 {
    font-size: clamp(9px, 0.625vw, 16px);
    /*12px*/
}


/* ========== Common assets ========== */
.glass,
.glass-top,
.glass-btn,
.glass-input {
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    padding: 10px;
    user-select: none;
}

.glass,
.glass-input {
    background-color: rgba(255, 255, 255, 0.02);
    border-radius: 15px;
    box-shadow: -3px 3px 10px inset rgba(255, 255, 255, 0.04),
        -3px 3px 5px rgba(255, 255, 255, 0.04);
    border: 2px solid rgba(255, 255, 255, 0.1);
}

.glass-top {
    background-color: rgba(0, 0, 0, 0.02);
    border-radius: 15px 15px 0 0;
    box-shadow: -3px 3px 10px inset rgba(255, 255, 255, 0.04);
    border: 2px solid rgba(255, 255, 255, 0.1);
    display: flex;
    align-items: center;
    gap: 0.26vw;
}

.glass-btn {
    height: auto;
    width: auto;
    background-color: rgba(255, 255, 255, 0.03);
    border-radius: 15px;
    box-shadow: -3px 3px 10px inset rgba(255, 255, 255, 0.04),
        -3px 3px 5px rgba(255, 255, 255, 0.04);
    border: 2px solid rgba(255, 255, 255, 0.1);
    color: rgba(255, 255, 255, 0.9);
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    transition: all .2s;
}

/* ========== Common hover/focus ========== */
.glass-btn:hover,
.glass-input:hover,
.glass-input:focus,
#search-input:hover,
#search-input:focus,
#headermenu:hover,
#toggle-cover:hover {
    background: var(--glassbgh);
    border: 2px solid var(--glassborderh);
    box-shadow: -3px 3px 10px inset var(--glassshadowh),
        -3px 3px 5px var(--glassshadowh);
}

.title-stats {
    color: rgba(255, 255, 255, 0.6);
    margin: 0;
    text-align: center;
}

.pfp-design {
    border-radius: 1000px;
    box-shadow: 1px 1px 10px black;
    pointer-events: none;
}

#bio {
    align-items: normal;
}

#bio img {
    border-radius: 10px;
    width: 15%;
    height: 15%;
    box-shadow: 1px 1px 10px black;
    pointer-events: none;
}

.text-clip {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 350px;
}

.text-multiline-clip {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}

.title {
    font-family: "Better VCR", sans-serif;
    font-weight: 600;
    color: white;
    overflow: hidden;
    margin: 0px;
    background: transparent;
    -webkit-text-stroke: 0px transparent;
}

.inner-error-message {
    background: rgba(255, 0, 0, 0.2);
    border: 1px solid red;
    padding: 10px;
    border-radius: 5px;
    margin: 10px 0px;
    display: none;
}

.inner-error-message p {
    color: #ff6b6b;
    margin: 0;
}

/* ========== Tags ========== */
.tag-deleted,
.tag-unreleased,
.tag-snippet,
.tag-upcoming {
    border-radius: 10px;
    box-shadow: 1px 1px 10px black;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    text-align: center;
    width: auto;
}

.tag-deleted {
    background: rgba(255, 0, 0, 0.7);
    border: 1px solid rgba(255, 0, 0, 0.8);
}

.tag-unreleased {
    background: rgba(161, 0, 167, 0.7);
    border: 1px solid rgba(161, 0, 167, 0.8);
}

.tag-snippet {
    background: rgba(10, 151, 113, 0.7);
    border: 1px solid rgba(10, 151, 113, 0.8);
}

.tag-upcoming {
    background: rgba(255, 123, 0, 0.7);
    border: 1px solid rgba(255, 123, 0, 0.8);
}

.album-card .tag-deleted,
.album-card .tag-unreleased,
.album-card .tag-snippet,
.album-card .tag-upcoming {
    border-radius: 10px 10px 0px 0px;
    right: 15px;
    left: 15px;
    z-index: 2;
    position: absolute;
}

.h-stack .tag-deleted,
.h-stack .tag-unreleased,
.h-stack .tag-snippet,
.h-stack .tag-upcoming {
    padding: 5px;
}

.tag-deleted h6,
.tag-unreleased h6,
.tag-snippet h6,
.tag-upcoming h6 {
    margin: 3px;
    color: white;
}

.tag-deleted h5,
.tag-unreleased h5,
.tag-snippet h5,
.tag-upcoming h5 {
    margin: 0;
}

/* ========== Grid ========== */
.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 10px;
}

.album-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    gap: 0;
    margin: 20px 0;
    justify-content: start;
}

.front-grid {
    max-height: calc(2 * 280px);
    overflow: hidden;
    grid-auto-rows: 1fr;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    gap: 0;
    margin: 2vh 0 8vh 0;
    justify-content: start;
}

.album-card {
    position: relative;
    background: rgba(255, 255, 255, 0);
    box-shadow: 2px 2px 6px transparent;
    transition: all .2s;
    border-radius: 20px;
    min-height: 250px;
    max-width: 170px;
    padding: 15px;
    user-select: none;
}

.album-card:hover {
    background: rgba(255, 255, 255, 0.1);
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2);
    padding: 15px;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.album-card img {
    width: 170px;
    height: auto;
    border-radius: 10px;
    pointer-events: none;
    box-shadow: 0px 0px 10px black;
    margin-bottom: 5px;
    display: block;
}

.album-card-artist {
    display: flex;
    flex-direction: column;
    background: rgba(255, 255, 255, 0);
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
    transition: all .2s;
    border-radius: 10px;
    min-height: 250px;
    max-width: 170px;
    padding: 15px;
    user-select: none;
}

.album-card-artist:hover {
    background: rgba(255, 255, 255, 0.1);
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2);
    padding: 15px;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.album-card-artist img {
    width: 170px;
    height: auto;
    pointer-events: none;
    border-radius: 1000px;
    box-shadow: 1px 1px 20px black;
}

.list-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(500px, auto));
    gap: 20px;
    justify-content: center;
}

.list-card {
    width: 95% !important;
    user-select: none;
}

.list-card img {
    border-radius: 10px;
    pointer-events: none;
    box-shadow: 0px 0px 10px black;
    margin: 0px;
}

.list-card .artist-name {
    color: rgba(255, 255, 255, 0.6);
}

.list-card.h-stack {
    align-items: normal;
}

/* ========== Welcome Demi-Header ========== */
.welcome {
    align-items: center;
    gap: 0;
    margin-bottom: 20px;
}

.welcome * {
    user-select: text;
    margin: 0;
}

.welcome h5 {
    max-width: 800px;
}

.welcome .h-stack .glass {
    align-items: center;
    justify-content: center;
}

/* ========== Title page ========== */
.cover-image {
    width: 100%;
    min-height: 250px;
    min-width: 250px;
    border-radius: 20px;
    box-shadow: 0px 0px 20px black;
    cursor: pointer;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeIn 0.3s ease;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.overlay-background {
    position: absolute;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    background-color: rgba(0, 0, 0, 0.5);
}

.overlay-image {
    height: 80%;
    border-radius: 20px;
    box-shadow: 0px 0px 30px black;
    z-index: 1000;
    animation: fadeIn 0.5s ease;
}

#toggle-cover {
    height: 50px;
    width: 50px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    padding: 5px;
    pointer-events: auto;
    cursor: pointer;
    transition: background-color 0.2s, box-shadow 0.2s, border-color 0.2s;
    text-shadow: 1px 1px 5px white;
}

#toggle-cover p {
    font-size: 30px;
    margin: 0;
    text-shadow: 1px 1px 5px rgba(255, 255, 255, 0.5);
    color: white;
}

.tab-panel {
    display: none;
}

.tab-panel .grid-container .glass p,
.tab-panel .grid-container .glass h5 {
    user-select: text;
}

.tab-panel .grid-container .glass .artist-name {
    font-size: 25px;
    margin: 0;
    color: white;
}

.tab-panel .grid-container .glass h4 {
    margin-bottom: 10px;
}

.tab-panel.active {
    display: block;
}

.glass-custom {
    transition: all .2s;
}

.glass-custom:hover {
    background: currentColor;
    border: 2px solid currentColor;
    box-shadow: -3px 3px 10px inset currentColor,
        -3px 3px 5px currentColor;
    transform: scale(1.05);
}

.lyrics,
#bio p {
    user-select: text;
}

.lyrics son,
.glass son {
    font-family: "Better VCR", sans-serif;
    font-weight: 600;
    color: white;
    font-size: 16px;
}

.custom-textbg {
    margin: 0px;
}

.fixe {
    width: 25%;
    padding: 60px 5% 35px 35px;
    padding-top: max(80px, 2.5%);
    box-sizing: border-box;
    top: 0;
    right: 0;
    position: fixed;
}

/* ========== Artist page ========== */
.spot,
.cloud,
.gram {
    height: auto;
    width: auto;
    border-radius: 10px;
    box-shadow: 1px 1px 10px black;
    padding: 10px;
    cursor: pointer;
    color: rgba(255, 255, 255, 0.9);
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    user-select: none;
    transition: all .2s;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.spot {
    background: rgba(8, 149, 69, 0.5);
    border: 1px solid rgba(30, 215, 96, 0.6);
}

.spot:hover {
    background: rgb(8, 149, 69);
    border: 1px solid rgb(30, 215, 96);
    box-shadow: 1px 1px 10px rgba(30, 215, 96, 0.6);
}

.cloud {
    background: rgba(255, 49, 2, 0.5);
    border: 1px solid rgba(255, 118, 1, 0.6);
}

.cloud:hover {
    background: rgb(255, 49, 2);
    border: 1px solid rgb(255, 118, 1);
    box-shadow: 1px 1px 10px rgba(255, 118, 1, 0.6);
}

.gram {
    background: rgba(126, 72, 192, 0.5);
    border: 1px solid rgba(77, 98, 211, 0.6);
}

.gram:hover {
    background: rgb(126, 72, 192);
    border: 1px solid rgb(77, 98, 211);
    box-shadow: 1px 1px 10px rgba(77, 98, 211, 0.6);
}

/* ========== File manager - Overlay ========== */
.modal,
.modal-settings {
    left: 0;
    top: 0;
    width: 100%;
    transition: all .2s;
}

.modal-settings {
    display: block;
}

.modal {
    height: 100%;
    position: fixed;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: none;
    transition: all .2s;
}

.modal-content {
    margin: 30vh auto;
    padding: 20px;
    width: 80%;
    max-width: 500px;
    position: relative;
    transition: all .2s;
}

.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover {
    color: #ccc;
}

.drop-zone {
    border: 2px dashed rgba(255, 255, 255, 0.5);
    border-radius: 10px;
    padding: 20px;
    text-align: center;
    cursor: pointer;
    transition: all .2s;
    margin: 20px 0;
    min-height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.drop-zone.dragover {
    border-color: rgb(99, 70, 222);
    background-color: rgba(99, 70, 222, 0.1);
}

/* ========== File manager - Click droit ========== */
.context-menu {
    position: absolute;
    background: #1a1a1a;
    border: 1px solid #333;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    padding: 5px 0;
    display: none;
    z-index: 9999;
    width: 250px;
    transition: all .2s;
}

.context-menu .item {
    padding: 8px 12px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 10px;
    transition: all .2s;
}

.context-menu .item img {
    height: 30px;
}

.context-menu .item p {
    margin: 0;
}

.context-menu .danger p {
    color: red;
}

.context-menu .item:hover {
    background: rgba(255, 255, 255, 0.1);
}

/* ========== File manager - File grid ========== */
.files-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(122px, auto));
    gap: 12px;
    justify-content: start;
}

.file-icon {
    width: 120px;
    height: 120px;
    pointer-events: none;
    border-radius: 5px;
}

.files-grid .item {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: rgba(255, 255, 255, 0);
    text-align: center;
}

.files-grid .item p {
    margin-top: 5px;
    color: white;
    word-break: break-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 120px;
}

.files-grid.glass {
    border-radius: 0 0 10px 10px;
    border: 0 0 1px 1px solid rgba(255, 255, 255, 0.1);
}

/* ========== File manager - Selection ========== */
.selectable {
    position: relative;
    margin: 2px;
}

.selectable.selected {
    background-color: rgba(255, 255, 255, 0.1);
    border: 2px solid rgba(255, 255, 255, 0.3);
    border-radius: 5px;
    margin: 0px;
}

.item-checkbox {
    position: absolute;
    top: 5px;
    right: 5px;
    z-index: 10;
    opacity: 0;
    pointer-events: none;
    transition: all .2s ease;
}

.selectable:hover .item-checkbox,
.selectable.selected .item-checkbox {
    opacity: 1;
    pointer-events: auto;
}

.action-btn {
    display: none;
}

.action-btn.visible {
    display: inline-block;
}

.item-link {
    display: block;
    color: inherit;
    padding: 1px;
}

/* ========== Profile page ========== */

.inner-step-div {
    background: rgba(0, 0, 0, 0.2);
    padding: 20px;
    border-radius: 20px;
}

form.inner-step-div {
    background: rgba(0, 0, 0, 0.2);
    padding: 20px;
    border-radius: 20px;
}

.inner-step-div p {
    margin: 10px 0;
}